Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class NIVision.ImageType

    java.lang.Object
      edu.wpi.first.wpilibj.image.NIVision.ImageType

Enclosing class:
  NIVision

    public static class NIVision.ImageType

extends Object

Enumeration representing the possible types of imaq images

Field Summary
`static NIVision.ImageType` | `imaqImageComplex` The image type is complex.
`static NIVision.ImageType` | `imaqImageHSL` The image type is HSL color.
`static NIVision.ImageType` | `imaqImageI16` The image type is 16-bit signed integer grayscale.
`static NIVision.ImageType` | `imaqImageRGB` The image type is RGB color.
`static NIVision.ImageType` | `imaqImageRGBU64` The image type is 64-bit unsigned RGB color.
`static NIVision.ImageType` | `imaqImageSGL` The image type is 32-bit floating-point grayscale.
`static NIVision.ImageType` | `imaqImageTypeSizeGuard` Reserved
`static NIVision.ImageType` | `imaqImageU16` The image type is 16-bit unsigned integer grayscale.
`static NIVision.ImageType` | `imaqImageU8` The image type is 8-bit unsigned integer grayscale.
`int` | `value`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

### imaqImageU8

    public static final NIVision.ImageType imaqImageU8

  The image type is 8-bit unsigned integer grayscale.

### imaqImageU16

    public static final NIVision.ImageType imaqImageU16

  The image type is 16-bit unsigned integer grayscale.

### imaqImageI16

    public static final NIVision.ImageType imaqImageI16

  The image type is 16-bit signed integer grayscale.

### imaqImageSGL

    public static final NIVision.ImageType imaqImageSGL

  The image type is 32-bit floating-point grayscale.

### imaqImageComplex

    public static final NIVision.ImageType imaqImageComplex

  The image type is complex.

### imaqImageRGB

    public static final NIVision.ImageType imaqImageRGB

  The image type is RGB color.

### imaqImageHSL

    public static final NIVision.ImageType imaqImageHSL

  The image type is HSL color.

### imaqImageRGBU64

    public static final NIVision.ImageType imaqImageRGBU64

  The image type is 64-bit unsigned RGB color.

### imaqImageTypeSizeGuard

    public static final NIVision.ImageType imaqImageTypeSizeGuard

  Reserved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"